/**
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_CORE_H
#define OCARINA_CORE_CORE_H

#include <core/queue.h>


struct core_init_data {
	struct queue_ops *collection_ops;
	struct queue_ops *history_ops;
	struct queue_ops *playlist_ops;
	struct queue_ops *tempq_ops;
};

/**
 * Namespace for basic core library functions.
 */
namespace core
{

	/**
	 * Initializes all components of the core library, including reading
	 * databases from disk and setting up gstreamer.
	 */
	void init(struct core_init_data *);
	void deinit();

}

#endif /* OCARINA_CORE_CORE_H */
